# The "a" Package

These routines are meant to provide an easy way of printing error messages prior to function and process termination.

Library: karma
Link With: -lkarma

#### Functions

a_print_abort | Print an abort message.
a_prog_bug | Print a bug message.
a_func_abort | Print a warning message.

## Functions

void a_print_abort ()

This routine will print the message "Aborting.\n" to the standard error and will then abort the process.

Parameters:

This function takes no parameters

Returns: The routine does not return. The process is aborted.
Multithreading Level: Unsafe

void a_prog_bug (CONST char *function_name)

This routine will print an error message to the standard error indicating that a bug occurred.

Parameters:

- function_name : The name of the function in which the bug was noted.

Returns: The routine does not return. The process is aborted.
Multithreading Level: Unsafe

void a_func_abort (CONST char *function_name, CONST char *reason)

This routine will print an error message to the standard error indicating that a function is terminating abnormally.

Parameters:

- function_name : The name of the function.
- reason : The reason for the function aborting.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page